Credential Presentation
Present verifiable credentials to a verifier using OpenID4VP.
Do preliminary processing of an incoming OID4VP Authorization Request and find credentials matching it.
This API should be called when first receiving an OID4VP Authorization Request from a verifier. It will process the request according to the OID4VP protocol and determine which credentials held by the given wallet satisfy the requirements in the Authorization Request.
The response can be obtained with /verify/{verificationSessionId}/session-status API call.
Path Parameters
walletId*string
The unique identifier of the Wallet.
Format
uuidHeader Parameters
Authorization*string
Token for authenticating requests to the FortID Wallet Service.
Request Body
application/json
authorizationRequest*string
The URL encoded AuthorizationRequest object indended to be
communicated to an external wallet.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://ews.fortid.com/wallets/f4856bb7-d77a-4a6a-9c8a-7d7f6f639cfb/verify/initiate" \ -H "Authorization: Bearer {access_token}" \ -H "Content-Type: application/json" \ -d '{ "authorizationRequest": "openid4vp://authorize?client_id=https%3A%2F%2Fverifier%2Fprotocol%2Foid4vp&response_uri=https%3A%2F%2Fverifier%2Fprotocol%2Foid4vp%2Fauthorization-response&response_type=vp_token&response_mode=direct_post&presentation_definition_uri=https%3A%2F%2Fverifier%2Fprotocol%2Foid4vp%2Fpresentation-definition%2F550e8400-e29b-41d4-a716-446655440000&nonce=n-0S6_WzA2Mj&state=da013b3b-f7ec-4ccd-8d41-c34cde9598a3&client_metadata=%7B%22vp_formats%22%3A%7B%22vc%2Bsd-jwt%22%3A%7B%22sd-jwt_alg_values%22%3A%5B%22ES256%22%5D%2C%22kb-jwt_alg_values%22%3A%5B%22ES256%22%5D%7D%7D%7D" }'{
"verificationSessionId": "dd6473c2-2043-4523-b359-ceb596ddae66"
}{
"message": "Bad request"
}{
"message": "Wallet with ID f4856bb7-d77a-4a6a-9c8a-7d7f6f639cfb not found"
}Empty
{
"message": "Unsupported functionality"
}